%define		_major		1
%define		_name		geis
%define		libname		%mklibname %{_name} %{_major}
%define		devname		%mklibname -d %{_name}

Name:		%_name
Version:	2.2.17
Release:	%mkrel 1
License:	GPLv3,LGPLv3
Summary:	Gesture Engine Interface and Support Interface
Group:		System/Libraries
Url:		https://launchpad.net/geis
Source:		https://launchpad.net/%{name}/trunk/%{version}/+download/%{name}-%{version}.tar.xz
Patch1:		%{name}-2.2.14-configureac.patch

BuildRequires:	pkgconfig(grail)
BuildRequires:	pkgconfig(frame)
BuildRequires:	dbus-devel
BuildRequires:	pkgconfig(python3)
BuildRequires:	libxcb-devel
BuildRequires:	check-devel
BuildRequires:	x11-server-devel

%description
GEIS is a library for applications and toolkit programmers
which provides a consistent platform independent interface
for any system-wide input gesture recognition mechanism.

%prep
%setup -q
%patch1 -p1 -b .splitgrailframe

%build
autoreconf -fi
automake --add-missing
LDFLAGS="$LDFLAGS -lframe"
%configure2_5x --disable-static
%make

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc README COPYING
%doc doc/Doxyfile doc/geisspec-1.0.asc doc/geisspec-docbook.xml
%{_bindir}/geistest
%{_mandir}/man1/geis*

#------------------------------------------------

%package -n %libname
Summary:        Gesture Engine Interface and Support Library Package
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with geis.

%files -n %libname
%{_libdir}/libgeis.so.%{_major}
%{_libdir}/libgeis.so.%{_major}.*

#------------------------------------------------

%package -n %devname
Summary:        Gesture Engine Interface and Support Development Package
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:	pkgconfig(python3)
Requires:	pkgconfig
Provides:       %{name}-devel = %{version}-%{release}

%description -n %devname
This package provides headers files for geis development.

%files -n %devname
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/geis.h
%{_includedir}/%{name}/geisimpl.h
%{_libdir}/pkgconfig/libgeis.pc
%{_libdir}/libgeis.so

#------------------------------------------------

%package -n python3-%{name}
Summary:	GEIS python bindings
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-geis < 2.2.14-11

%description -n python3-%{name}
GEIS python bindings.

%files -n python3-%{name}
%{_bindir}/pygeis
%dir %{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/
%{python3_sitearch}/_geis_bindings.so
%{_mandir}/man1/pygeis*

#------------------------------------------------

%package -n %{name}view
Summary:	GEIS View
Requires:	python3-%{name} = %{version}-%{release}

%description -n %{name}view
GEIS View.

%files -n %{name}view
%{_bindir}/%{name}view
%{_datadir}/applications/geisview.desktop
%dir %{_datadir}/geisview
%{_datadir}/geisview/*.ui
%{_datadir}/pixmaps/geisview32x32.xpm
%dir %{python3_sitelib}/%{name}view
%{python3_sitelib}/%{name}view/*.py
%{python3_sitelib}/%{name}view/__pycache__/


%changelog
* Mon Nov 16 2015 daviddavid <daviddavid> 2.2.17-1.mga6
+ Revision: 903502
- new version: 2.2.17
- now port to python 3
- remove merged upstream patches
- update file list

* Wed Nov 11 2015 daviddavid <daviddavid> 2.2.14-10.mga6
+ Revision: 902235
- add patch3 to fix build with gcc5
  * https://bugs.launchpad.net/ubuntu/+source/geis/+bug/1428314
- use new python macros
- library libgeis.so must be into devel subpackage
- fix owner of datadir/geisview
- fix owner of includedir/geis
- fix owner of python2_sitelib/geis and python2_sitelib/geisview

* Wed Oct 15 2014 umeabot <umeabot> 2.2.14-9.mga5
+ Revision: 741083
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.14-8.mga5
+ Revision: 726298
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.14-7.mga5
+ Revision: 679484
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.2.14-6.mga5
+ Revision: 628213
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 2.2.14-5.mga4
+ Revision: 504780
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 philippem <philippem> 2.2.14-4.mga4
+ Revision: 502367
- fix python syntax

  + fwang <fwang>
    - use configure2_5x

* Fri Jan 11 2013 umeabot <umeabot> 2.2.14-2.mga3
+ Revision: 351269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 matteo <matteo> 2.2.14-1.mga3
+ Revision: 340363
- Patch1: split grail and frame detection
- new version

* Fri Aug 24 2012 matteo <matteo> 2.2.12-1.mga3
+ Revision: 283692
- added missing description
- fixed license
- imported package geis

